%define group	Documentation
%define libdrakx %{_prefix}/lib/libDrakX
%define _enable_debug_packages %{nil}
%define debug_package %{nil}

Name:		mageia-doc
Summary:	%{_vendor} documentation
Version:	4.5
%define		subrel 2
Release:	%mkrel 2

License:	CC-BY-SA
Group:		%{group}
Url:		http://docteam.mageia.nl

# archive built from soft/mageia-doc
Source0:	%{name}-%{version}.tar.xz
Patch0:		ctxhelp.patch

Source1:	%{name}-mcc-de.desktop

# mcc help definitions
%define mcchelp         mcc
%define insthelp        installer

%define DOCDIRS %mcchelp %insthelp
%define LANGS en fr pt_br it de es et id nl tr uk ru sl

BuildArch:	noarch
BuildRequires:	wget
BuildRequires:	desktop-file-utils

%description
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the menus.

%package mcc-de
Summary:	The %{_vendor} Control Center manuals in German
Group:		%{group}
Requires:	locales-de
Requires:	%{name}-common >= %{version}-%{release}

%description mcc-de
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-en
Summary:	The %{_vendor} Control Center manuals in English
Group:		%{group}
Requires:	locales-en
Requires:	%{name}-common >= %{version}-%{release}

%description mcc-en
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-et
Summary:	The %{_vendor} Control Center manuals in Estonian
Group:		%{group}
Requires:	locales-et
Requires:	%{name}-common >= %{version}-%{release}

%description mcc-et
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-fr
Summary:	The %{_vendor} Control Center manuals in French
Group:		%{group}
Requires:	locales-fr
Requires:	%{name}-common >= %{version}-%{release}

%description mcc-fr
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-id
Summary:	The %{_vendor} Control Center manuals in Indonesian
Group:		%{group}
Requires:	locales-id
Requires:	%{name}-common >= %{version}-%{release}

%description mcc-id
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-nl
Summary:	The %{_vendor} Control Center manuals in Dutch
Group:		%{group}
Requires:	locales-nl
Requires:	%{name}-common >= %{version}-%{release}

%description mcc-nl
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-ru
Summary:	The %{_vendor} Control Center manuals in Russian
Group:		%{group}
Requires:	locales-ru
Requires:	%{name}-common >= %{version}-%{release}

%description mcc-ru
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-tr
Summary:	The %{_vendor} Control Center manuals in Turkish
Group:		%{group}
Requires:	locales-tr
Requires:	%{name}-common >= %{version}-%{release}

%description mcc-tr
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-uk
Summary:	The %{_vendor} Control Center manuals in Ukrainian
Group:		%{group}
Requires:	locales-uk
Requires:	%{name}-common >= %{version}-%{release}

%description mcc-uk
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-de
Summary:	The %{_vendor} Installer manuals in German
Group:		%{group}
Requires:	locales-de
Requires:	%{name}-common >= %{version}-%{release}

%description installer-de
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-en
Summary:	The %{_vendor} Installer manuals in English
Group:		%{group}
Requires:	locales-en
Requires:	%{name}-common >= %{version}-%{release}

%description installer-en
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-es
Summary:	The %{_vendor} Installer manuals in Spanish
Group:		%{group}
Requires:	locales-es
Requires:	%{name}-common >= %{version}-%{release}

%description installer-es
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-et
Summary:	The %{_vendor} Installer manuals in Estonian
Group:		%{group}
Requires:	locales-et
Requires:	%{name}-common >= %{version}-%{release}

%description installer-et
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-fr
Summary:	The %{_vendor} Installer manuals in French
Group:		%{group}
Requires:	locales-fr
Requires:	%{name}-common >= %{version}-%{release}

%description installer-fr
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-id
Summary:	The %{_vendor} Installer manuals in Indonesian
Group:		%{group}
Requires:	locales-id
Requires:	%{name}-common >= %{version}-%{release}

%description installer-id
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-nl
Summary:	The %{_vendor} Installer manuals in Dutch
Group:		%{group}
Requires:	locales-nl
Requires:	%{name}-common >= %{version}-%{release}

%description installer-nl
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-pt_br
Summary:	The %{_vendor} Installer manuals in Portuguese
Group:		%{group}
Requires:	locales-pt
Requires:	%{name}-common >= %{version}-%{release}

%description installer-pt_br
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-ru
Summary:	The %{_vendor} Installer manuals in Russian
Group:		%{group}
Requires:	locales-ru
Requires:	%{name}-common >= %{version}-%{release}

%description installer-ru
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-tr
Summary:	The %{_vendor} Installer manuals in Turkish
Group:		%{group}
Requires:	locales-tr
Requires:	%{name}-common >= %{version}-%{release}

%description installer-tr
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-uk
Summary:	The %{_vendor} Installer manuals in Ukrainian
Group:		%{group}
Requires:	locales-uk
Requires:	%{name}-common >= %{version}-%{release}

%description installer-uk
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package common
Summary:	Common data for all %{_vendor} specific documentation
Group:		%{group}

%description common
This package contains common images, styles and js for all %{_vendor}
specific documentation, plus the index file matching Help IDs to HTML
help pages.

%prep
#%%setup -q -c %%{name}-%%{version} -a 1
%setup -q
%patch0 -p1 -b .missinglettercodes

%install
rm -fr %{buildroot}/*
install -d -m 0755 %{buildroot}%{_menudir}
DESTDIR=%{buildroot}%{_docdir}

# fix missing mageia-doc-mcc-de.desktop file
cp %{SOURCE1} %mcchelp/desktop/

# install common
install -d -m 0755 $DESTDIR/mageia/common
mv %mcchelp/common/*.* $DESTDIR/mageia/common/
mv %mcchelp/common/images $DESTDIR/mageia/common/
mv %mcchelp/common/css $DESTDIR/mageia/common/
mv %mcchelp/common/jquery $DESTDIR/mageia/common/

# make applications directory 
mkdir -p %{buildroot}%{_datadir}/applications

# install every manual
for manualdir in %DOCDIRS;
do
	# install manuals for each language
	for lang in %LANGS;
	do
		if [[ -d "$manualdir/$lang" ]];
		then
			install -d -m 0755 $DESTDIR/mageia/$lang/
			install -d -m 0755 $DESTDIR/mageia/$lang/$manualdir/

			mv $manualdir/$lang/* $DESTDIR/mageia/$lang/$manualdir/

			if [[ -e "$manualdir/desktop/%{name}-$manualdir-$lang.desktop" ]]; then
				mv $manualdir/desktop/%{name}-$manualdir-$lang.desktop %{buildroot}%{_datadir}/applications/
				sed -i -e 's|@VENDOR@|%{_vendor}|g' \
					-e 's|@BINDIR@|%{_bindir}|g' \
					-e 's|@DOCDIR@|%{_docdir}|g' %{buildroot}%{_datadir}/applications/%{name}-$manualdir-$lang.desktop

				desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-$manualdir-$lang.desktop
			fi

		fi
	done
done

# symlink common stuff
for lang in %LANGS;
do
	if [[ -d "$DESTDIR/mageia/$lang" ]];
	then
        	ln -s %{_docdir}/mageia/common $DESTDIR/mageia/$lang/
	fi
done


# install ctxhelp.pm which tells drakhelp which HTML help page
# corresponds to which application help button
install -d -m 0755 %{buildroot}/%{libdrakx}/
install -m 0644 %mcchelp/ctxhelp.pm %{buildroot}/%{libdrakx}/
install -d -m 0755 %{buildroot}%{_sbindir}/

%files common
%dir %{_docdir}/mageia/
%{libdrakx}/ctxhelp.pm
%docdir %{_docdir}/mageia/common/
%docdir %{_docdir}/mageia/common/images/
%docdir %{_docdir}/mageia/common/css/
%docdir %{_docdir}/mageia/common/jquery/
%dir %{_docdir}/mageia/common/
%dir %{_docdir}/mageia/common/images/
%dir %{_docdir}/mageia/common/css/
%dir %{_docdir}/mageia/common/jquery/
%doc %{_docdir}/mageia/common/*

%files mcc-de
%{_datadir}/applications/%{name}-mcc-de.desktop
%dir %{_docdir}/mageia/de/mcc
%doc %{_docdir}/mageia/de/mcc/*
%{_docdir}/mageia/de/common

%files mcc-en
%{_datadir}/applications/%{name}-mcc-en.desktop
%dir %{_docdir}/mageia/en/mcc
%doc %{_docdir}/mageia/en/mcc/*
%{_docdir}/mageia/en/common

%files mcc-et
%{_datadir}/applications/%{name}-mcc-et.desktop
%dir %{_docdir}/mageia/et/mcc
%doc %{_docdir}/mageia/et/mcc/*
%{_docdir}/mageia/et/common

%files mcc-fr
%{_datadir}/applications/%{name}-mcc-fr.desktop
%dir %{_docdir}/mageia/fr/mcc
%doc %{_docdir}/mageia/fr/mcc/*
%{_docdir}/mageia/fr/common

%files mcc-id
%{_datadir}/applications/%{name}-mcc-id.desktop
%dir %{_docdir}/mageia/id/mcc
%doc %{_docdir}/mageia/id/mcc/*
%{_docdir}/mageia/id/common

%files mcc-nl
%{_datadir}/applications/%{name}-mcc-nl.desktop
%dir %{_docdir}/mageia/nl/mcc
%doc %{_docdir}/mageia/nl/mcc/*
%{_docdir}/mageia/nl/common

%files mcc-ru
%{_datadir}/applications/%{name}-mcc-ru.desktop
%dir %{_docdir}/mageia/ru/mcc
%doc %{_docdir}/mageia/ru/mcc/*
%{_docdir}/mageia/ru/common

%files mcc-tr
%{_datadir}/applications/%{name}-mcc-tr.desktop
%dir %{_docdir}/mageia/tr/mcc
%doc %{_docdir}/mageia/tr/mcc/*
%{_docdir}/mageia/tr/common

%files mcc-uk
%{_datadir}/applications/%{name}-mcc-uk.desktop
%dir %{_docdir}/mageia/uk/mcc
%doc %{_docdir}/mageia/uk/mcc/*
%{_docdir}/mageia/uk/common

%files installer-de
%{_datadir}/applications/%{name}-installer-de.desktop
%dir %{_docdir}/mageia/de/installer
%doc %{_docdir}/mageia/de/installer/*
%{_docdir}/mageia/de/common

%files installer-en
%{_datadir}/applications/%{name}-installer-en.desktop
%dir %{_docdir}/mageia/en/installer
%doc %{_docdir}/mageia/en/installer/*
%{_docdir}/mageia/en/common

%files installer-es
%{_datadir}/applications/%{name}-installer-es.desktop
%dir %{_docdir}/mageia/es/installer
%doc %{_docdir}/mageia/es/installer/*
%{_docdir}/mageia/es/common

%files installer-et
%{_datadir}/applications/%{name}-installer-et.desktop
%dir %{_docdir}/mageia/et/installer
%doc %{_docdir}/mageia/et/installer/*
%{_docdir}/mageia/et/common

%files installer-fr
%{_datadir}/applications/%{name}-installer-fr.desktop
%dir %{_docdir}/mageia/fr/installer
%doc %{_docdir}/mageia/fr/installer/*
%{_docdir}/mageia/fr/common

%files installer-id
%{_datadir}/applications/%{name}-installer-id.desktop
%dir %{_docdir}/mageia/id/installer
%doc %{_docdir}/mageia/id/installer/*
%{_docdir}/mageia/id/common

%files installer-nl
%{_datadir}/applications/%{name}-installer-nl.desktop
%dir %{_docdir}/mageia/nl/installer
%doc %{_docdir}/mageia/nl/installer/*
%{_docdir}/mageia/nl/common

%files installer-pt_br
%{_datadir}/applications/%{name}-installer-pt_br.desktop
%dir %{_docdir}/mageia/pt_br/installer
%doc %{_docdir}/mageia/pt_br/installer/*
%{_docdir}/mageia/pt_br/common

%files installer-ru
%{_datadir}/applications/%{name}-installer-ru.desktop
%dir %{_docdir}/mageia/ru/installer
%doc %{_docdir}/mageia/ru/installer/*
%{_docdir}/mageia/ru/common

%files installer-tr
%{_datadir}/applications/%{name}-installer-tr.desktop
%dir %{_docdir}/mageia/tr/installer
%doc %{_docdir}/mageia/tr/installer/*
%{_docdir}/mageia/tr/common

%files installer-uk
%{_datadir}/applications/%{name}-installer-uk.desktop
%dir %{_docdir}/mageia/uk/installer
%doc %{_docdir}/mageia/uk/installer/*
%{_docdir}/mageia/uk/common



%changelog
* Sun Mar 16 2014 matteo <matteo> 4.5-2.2.mga4
+ Revision: 604096
- fixed ctxhelp patch
- copying the German desktop file instead of moving it
- documentation not found issue fixed (resynced ctxhelp.pm patch)

* Sun Jan 19 2014 matteo <matteo> 4.5-2.mga4
+ Revision: 567014
- drop contrib suffix for russian and chinese languages (fix bug mga#12356)

* Mon Jan 06 2014 matteo <matteo> 4.5-1.mga4
+ Revision: 565030
- patch ctxhelp to include new languages
- add German documentation for MCC
- provide the desktop file for the German documentation
- * new version 4.4
- added new installer help for German, Portuguese and Spanish
- updated desktop files for the installer manuals
- * updated MCC documentation
- updated English, French and Estonian translations
- added Dutch, Indonesian, Russian, Turkish, Ukrainian translations
  * packaged Installer documentation
- added Dutch, English, Estonian, French, Indonesian, Russian, Turkish, Ukrainian translations

* Sat Nov 23 2013 matteo <matteo> 4.2-1.mga4
+ Revision: 552428
- updated English translations
- updated French translations

* Mon Oct 21 2013 umeabot <umeabot> 4.1-2.mga4
+ Revision: 538300
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 matteo <matteo> 4.1-1.mga4
+ Revision: 489252
- synced
- updated English documentation for MCC
- added drakwizard English documentation
- updated French documentation for MCC

* Sat Jul 27 2013 barjac <barjac> 4.0-2.mga4
+ Revision: 459151
- fix url
- clean spec

* Sat Jul 27 2013 matteo <matteo> 4.0-1.mga4
+ Revision: 458812
- new version 4.0

* Sun Jun 09 2013 matteo <matteo> 3.8-1.mga4
+ Revision: 441357
- * new version 3.8
- fix the search button issue (bug mga#10237)
- updated English documentation for MCC
- updated Estonian documentation for MCC
- updated French documentation for MCC (fixed wrong screenshot language)
- drop autoinstall_doc_if_needed.patch (merged upstream)
- update English documentation for MCC
- update Estonian documentation for MCC

* Tue Apr 30 2013 matteo <matteo> 3.5-2.mga3
+ Revision: 411712
- make doc to auto install when needed (patch by tv)

* Mon Apr 29 2013 matteo <matteo> 3.5-1.mga3
+ Revision: 411595
- french translations for mageia-doc-mcc desktop files (bug mga#9918)
- fixed desktop file categories (bug mga#9918)
- hidden credits from french documentation (bug mga#9917)

* Sun Apr 28 2013 matteo <matteo> 3.4-1.mga3
+ Revision: 411512
- * New version 3.4
- added French documentation for MCC
- updated English and Estonian documentation for MCC

* Fri Apr 19 2013 matteo <matteo> 3.3-1.mga3
+ Revision: 410470
- * new version
- updated English documentation for MCC
- updated Estonian documentation for MCC

* Sat Apr 06 2013 matteo <matteo> 3.2-1.mga3
+ Revision: 408531
- updated English and Estonian translations for MCC
- updated and validated MCC desktop files for documentation
- dropped old patch

* Fri Apr 05 2013 matteo <matteo> 3.1-1.mga3
+ Revision: 408285
- bumped release

* Tue Apr 02 2013 matteo <matteo> 3.1-0.alpha.4.mga3
+ Revision: 407306
- fixed patch0 (internet-connection id uses drakconnect.html)

* Tue Apr 02 2013 matteo <matteo> 3.1-0.alpha.3.mga3
+ Revision: 407153
- added missing reference to drakconnect

* Mon Apr 01 2013 matteo <matteo> 3.1-0.alpha.2.mga3
+ Revision: 406945
- fixed broken url

* Sun Mar 31 2013 matteo <matteo> 3.1-0.alpha.1.mga3
+ Revision: 406856
- new version
- fixed Estonian othercredit issue

* Thu Mar 28 2013 matteo <matteo> 3.0-0.alpha.1.mga3
+ Revision: 405986
- removed empty post/postun for mcc-en and mcc-et
- fixed license
- synced
- dropped distrib_name in favor of _vendor macro
- bumped version
- imported package mageia-doc

